#ifndef ARGPARSER_H
#define ARGPARSER_H

#include "aliases.h"

struct GeneratorArgs {
  u32 seed;
  bool clustered;
  u64 count;
};

enum ParseStatus {
  PARSE_STATUS_FAILED,
  PARSE_STATUS_HELP,
  PARSE_STATUS_SUCCEEDED,
};

struct ParseResult {
  ParseStatus status;
  GeneratorArgs args;
};

ParseResult parse_args(i32 argc, char *argv[]);

#endif // !ARGPARSER_H
